function fig = gui_fl_fbmsynthesis()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Modified by Christian Choque Cortez, March 2009

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure( 'Name','fbm Synthesis - 1D','Tag','Fig_gui_fl_fbmsynthesis',...
	'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
	'Position',[20 50 300 250]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized','Position',[0.023 0.83 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input', ...
	'Units','normalized','Position',[0.023 0.21 0.96 0.6]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.06 0.84 0.9 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
	'String','Fractional Brownian Motion Synthesis 1D');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_woodchan', ...
    'Units','normalized','Position',[0.05 0.7 0.32 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Wood & Chan', ...
    'Value',1, ...
    'Callback','fl_fbmsynthesis_compute(''woodchan_option'')');

uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_levinson', ...
    'Units','normalized','Position',[0.5 0.7 0.24 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Levinson', ...
    'Value',0, ...
    'Callback','fl_fbmsynthesis_compute(''levinson_option'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_exponent', ...
	'Units','normalized','Position',[0.05 0.55 0.32 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Holder exponent');

uicontrol('Parent',a,'Style','slider','Tag','Slider_exponent', ...
	'Units','normalized','Position',[0.4 0.57 0.3 0.08], ...
	'Value',0.5, ...
	'Callback','fl_fbmsynthesis_compute(''slider_exponent'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_exponent', ...
	'Units','normalized','Position',[0.79 0.57 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','0.5', ...
	'Callback','fl_fbmsynthesis_compute(''edit_exponent'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.05 0.45 0.25 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sample Size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.4 0.47 0.3 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points','2048 points','4096 points'}, ...
	'Value',8, ...
	'Callback','fl_fbmsynthesis_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.79 0.47 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1024', ...
	'Callback','fl_fbmsynthesis_compute(''edit_sample'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_tmax', ...
	'Units','normalized','Position',[0.05 0.34 0.27 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Time support');

uicontrol('Parent',a,'Style','edit','Tag','EditText_tmax', ...
	'Units','normalized','Position',[0.4 0.36 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1', ...
	'Callback','fl_fbmsynthesis_compute(''edit_tmax'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sigma', ...
	'Units','normalized','Position',[0.61 0.34 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','Sigma');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sigma', ...
	'Units','normalized','Position',[0.79 0.36 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1', ...
    'Callback','fl_fbmsynthesis_compute(''edit_sigma'')');
    
uicontrol('Parent',a,'Style','text','Tag','StaticText_seed', ...
	'Units','normalized','Position',[0.05 0.23 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Random Seed');

uicontrol('Parent',a,'Style','edit','Tag','EditText_seed', ...
	'Units','normalized','Position',[0.4 0.25 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'Callback','fl_fbmsynthesis_compute(''edit_seed'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.06 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ....
    'Callback','eval([''global '' fl_fbmsynthesis_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.06 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
    'Callback','fl_fbmsynthesis_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.06 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
    'Callback','fl_fbmsynthesis_compute(''close'')');

fl_window_init(a);	
	
if nargout > 0, fig = a; end
