function fig = gui_fl_percolation()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Modified by Christian Choque Cortez, November 2009

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure('Name','Percolation','Tag','Fig_gui_fl_percolation', ...
    'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
	'Position',[20 50 300 250]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized',...
	'Position',[0.02 0.83 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_size', ...
	'Units','normalized',...
	'Position',[0.02 0.18 0.96 0.62]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.06 0.84 0.9 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
	'String','Percolation');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_material', ...
	'Units','normalized','Position',[0.05 0.66 0.25 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Material type');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_material', ...
	'Units','normalized','Position',[0.55 0.68 0.4 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'Uniform','FBM with H = 0.5','User defined'}, ...
	'Value',1, ...
    'Callback','fl_percolation_compute(''popmenu_material'')');

uicontrol('Parent',a,'Tag','Button_build', ...
    'Units','normalized', ...
    'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
    'Position',[0.05 0.57 0.15 0.08], ...
    'String','Build', ...
    'Callback','eval([''global '' fl_percolation_compute(''build'',who)])');

uicontrol('Parent',a,'Tag','Button_refresh', ...
    'Units','normalized', ...
    'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
    'Position',[0.22 0.57 0.2 0.08], ...
    'String','Refresh', ...
    'Callback','fl_percolation_compute(''refresh'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_material', ...
    'Units','normalized','Position',[0.45 0.57 0.5 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','','Enable','inactive');
 
uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.05 0.43 0.2 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Matrix Size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.4 0.45 0.3 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points'}, ...
	'Value',5, ...
    'Callback','fl_percolation_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.78 0.44 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','128', ...
    'Callback','fl_percolation_compute(''edit_sample'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_iterations', ...
	'Units','normalized','Position',[0.05 0.3 0.31 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','# Iterations');

uicontrol('Parent',a,'Style','edit','Tag','EditText_iterations', ...
	'Units','normalized','Position',[0.4 0.32 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String','1000', ...
	'Callback','fl_percolation_compute(''edit_iterations'')');
		
uicontrol('Parent',a,'Style','Checkbox','Tag','Check_visu', ...
	'Units','normalized','Position',[0.05 0.2 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String','Show visu', ...
    'Value',1, ...
	'Callback','fl_percolation_compute(''check_visu'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.03 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ....
    'Callback','eval([''global '' fl_percolation_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.03 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
    'Callback','fl_percolation_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.03 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
    'Callback','fl_percolation_compute(''close'')');

fl_window_init(a);
if nargout > 0, fig = a; end